IRQTOP(1)

NAME
irqtop - display kernel interrupt information

SYNOPSIS

irqtop [options]

DESCRIPTION

Display interrupt-counter information from the kernel in the style of top(1).

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output.

OPTIONS

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns. The default list of columns may be extended if list is specified in the format +list.

-b, --batch
    Send the produced tables to stdout instead of to a static screen. This can be used for sending the output to other programs or to a file.

-c, --cpu-stat when
    Whether to show the per-CPU statistics. Possible arguments are: auto, never, always. The default is auto: the per-CPU statistics are shown when the window is wide enough for the full list of CPUs.

-C, --cpu-list list
    Specify cpus in list format to show.

-d, --delay seconds
    Update the tables every this number of seconds.

-J, --json
    Use JSON output format. Implies --batch.

-n, --iter number
    Specifies the maximum iterations before quitting.

-s, --sort column
    Specify sort criteria by column name. See --help output to get column names. The sort criteria may be changes in interactive mode.

-S, --softirq
    Show softirqs information.

-t, --threshold min
    Only show IRQs with counters above the specified threshold. Human readable values are supported (e.g. 1.2K).

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

ENVIRONMENT

LIBSMARTCOLS_DEBUG=all
    enables libsmartcols debug output.

LIBSMARTCOLS_DEBUG_PADDING=on
    use visible padding characters.

LIBSMARTCOLS_JSON=compact|lines
    Controls JSON output format when using --json. Supported values are compact for JSON output with minimal whitespace, and lines for JSON Lines format (one JSON object per line). If unset or set to any other value, pretty-printed JSON is used.

INTERACTIVE MODE KEY COMMANDS

i
    sort by short irq name or number field

t
    sort by total count of interrupts (the default)

d
    sort by delta count of interrupts

n
    sort by long descriptive name field

q Q
    stop updates and exit program

AUTHORS

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The irqtop command is part of the util-linux package which can be downloaded from